Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class RemoteResourceSet

    java.lang.Object
      org.exist.xmldb.RemoteResourceSet

All Implemented Interfaces:
  ResourceSet

public class RemoteResourceSet
extends java.lang.Object
implements ResourceSet

Constructor Summary
`RemoteResourceSet(RemoteCollection col, java.util.Properties properties, java.util.Vector resources, int handle)`

Method Summary
`void` | `addResource(Resource resource)` Adds a `Resource` instance to the set.
`void` | `clear()` Removes all `Resource` instances from the set.
`ResourceIterator` | `getIterator()` Returns an iterator over all `Resource` instances stored in the set.
`ResourceIterator` | `getIterator(long start)`
`Resource` | `getMembersAsResource()` Returns a Resource containing an XML representation of all resources stored in the set.
`Resource` | `getResource(long pos)`
`long` | `getSize()` Returns the number of resources contained in the set.
`void` | `removeResource(long pos)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.ResourceSet
`addAll, getResource, removeResource`

Constructor Detail

### RemoteResourceSet

    public RemoteResourceSet(RemoteCollection col,
                             java.util.Properties properties,
                             java.util.Vector resources,
                             int handle)

Method Detail

### addResource

    public void addResource(Resource resource)

  Description copied from interface: `ResourceSet`
  Adds a `Resource` instance to the set.

  Specified by:
    `addResource` in interface `ResourceSet`
  Parameters:
    `resource` - The `Resource` to add to the set.

### clear

    public void clear()
               throws XMLDBException

  Description copied from interface: `ResourceSet`
  Removes all `Resource` instances from the set.

  Specified by:
    `clear` in interface `ResourceSet`
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getIterator

    public ResourceIterator getIterator()
                                 throws XMLDBException

  Description copied from interface: `ResourceSet`
  Returns an iterator over all `Resource` instances stored in the set.

  Specified by:
    `getIterator` in interface `ResourceSet`
  Returns:
    a `ResourceIterator` over all `Resource` instances in the set.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getIterator

    public ResourceIterator getIterator(long start)
                                 throws XMLDBException

  Throws:
    `XMLDBException`

### getMembersAsResource

    public Resource getMembersAsResource()
                                  throws XMLDBException

  Description copied from interface: `ResourceSet`
  Returns a Resource containing an XML representation of all resources stored in the set.

  TODO: Specify the schema used for this

  Specified by:
    `getMembersAsResource` in interface `ResourceSet`
  Returns:
    A `Resource` instance containing an XML representation of all set members.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getResource

    public Resource getResource(long pos)
                         throws XMLDBException

  Throws:
    `XMLDBException`

### getSize

    public long getSize()
                 throws XMLDBException

  Description copied from interface: `ResourceSet`
  Returns the number of resources contained in the set.

  If the underlying implementation uses a paging or streaming optimization for retrieving `Resource` instances. Calling this method MAY force the downloading of all set members before the size can be determined.

  Specified by:
    `getSize` in interface `ResourceSet`
  Returns:
    The number of `Resource` instances in the set.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeResource

    public void removeResource(long pos)
                        throws XMLDBException

  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.